import { Message, Properties } from "protobufjs/light";
import IdentityWrapper from "../../darc/identity-wrapper";
import { InstanceID } from "../instance";
export default class CheckAuthorization extends Message<CheckAuthorization> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly version: number;
    readonly byzcoinID: InstanceID;
    readonly darcID: InstanceID;
    readonly identities: IdentityWrapper[];
    constructor(props?: Properties<CheckAuthorization>);
}
export declare class CheckAuthorizationResponse extends Message<CheckAuthorizationResponse> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly actions: string[];
    constructor(props?: Properties<CheckAuthorizationResponse>);
}
